Bug 571458 - Review Request: sqlite36 - Library that implements an embeddable SQL database engine
Summary: Review Request: sqlite36 - Library that implements an embeddable SQL database...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: BJ Dierkes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-08 15:34 UTC by Steve Traylen
Modified: 2011-02-28 12:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-28 12:58:57 UTC
Type: ---
derks: fedora-review?


Attachments (Terms of Use)

Description Steve Traylen 2010-03-08 15:34:26 UTC
This is a strictly EPEL4 & EPEL5 package. 
It has been designed to coexist with the RHEL provided sqlite
and not interfere with it in anyway.


Spec URL: http://cern.ch/straylen/rpms/sqlite36/sqlite36.spec
SRPM URL: http://cern.ch/straylen/rpms/sqlite36/sqlite36-3.6.22-2.el5.src.rpm
Description: 
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexibility of an SQL database without the administrative hassles of
supporting a separate database server.  Version 2 and version 3 binaries
are named to permit each to be installed on a single host

Comment 1 BJ Dierkes 2010-09-29 00:58:36 UTC
PASS: rpmlint run on every package:

$ rpmlint -i SPECS/sqlite36.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i /var/lib/mock/epel-5-x86_64/result/sqlite36-3.6.22-2.el5.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i /var/lib/mock/epel-5-x86_64/result/sqlite36-devel-3.6.22-2.el5.x86_64.rpm 
sqlite36-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.


---

PASS: package is named according to guidelines (exception, multi-version pkg)
PASS: spec file name matches base name (sqlite36.spec)

---

FAIL: package does not fully meet guidelines reqarding Tcl extensions:

http://fedoraproject.org/wiki/Packaging:Tcl
http://fedoraproject.org/wiki/Packaging:Tcl#Naming_Conventions
http://fedoraproject.org/wiki/Packaging:Tcl#arch-specific_packages

---

PASS: package is licensed with an approved license (Public Domain)
PASS: spec file is written in American English
PASS: spec file is legible

---

PASS: sources match upstream:

Source0: http://www.sqlite.org/sqlite-%{version}.tar.gz
Source1: http://www.sqlite.org/sqlite_docs_%{docver}.zip

$ curl -s http://www.sqlite.org/sqlite-3.6.22.tar.gz | md5sum ; md5sum SOURCES/sqlite-3.6.22.tar.gz
a17bd53f1fde11f84adf79c6a1510ce5  -
a17bd53f1fde11f84adf79c6a1510ce5  SOURCES/sqlite-3.6.22.tar.gz

$ curl -s http://www.sqlite.org/sqlite_docs_3_6_22.zip | md5sum ; md5sum SOURCES/sqlite_docs_3_6_22.zip 
665889e9de50136514aa267173066e96  -
665889e9de50136514aa267173066e96  SOURCES/sqlite_docs_3_6_22.zip

---

PASS: package successfully compiles on atleast one primary arch (el5-x86_64)
PASS: all build dependencies are listed
PASS: spec file handles locales properly (no locale files)
PASS: ldconfig is called in %post/%postun
PASS: package does not bundle copes of system libraries
PASS: package owns all directories it creates (none)
PASS: files are not listed more than once
PASS: permissions on files are set properly
PASS: header files are in -devel
PASS: doc files are in -doc
PASS: no static files to package in -static
PASS: library files are packages under base, .so without suffix under -devel
PASS: -devel package requires base package
PASS: package does not include any .la/.a files
PASS: package does not own files/directories already owned by other packages
PASS: all file names are UTF-8

---
 
????: license file not included in source, should request upstream include it.
PASS: the package builds in mock
PASS: software functions as expected (calling sqlite36)
????: -doc sub package does not require base package
PASS: pkgconfig files are packages under -devel

---

Summary: Looks mostly good:

FAIL: package does not fully meet guidelines reqarding Tcl extensions.  See:

http://fedoraproject.org/wiki/Packaging:Tcl
http://fedoraproject.org/wiki/Packaging:Tcl#Naming_Conventions
http://fedoraproject.org/wiki/Packaging:Tcl#arch-specific_packages

????: License file is not included in source... SHOULD request that upstream includes it.
????: The -doc subpackage doesn't require the base package. Up to you if you want to change that, its not a MUST.

Comment 2 Steve Traylen 2011-02-28 12:58:57 UTC
I am no longer interested in this package as I was only adding it to add svn16 package to 
EPEL and since that is now in RHEL5.6 this is no longer necessary.

Thanks Brian for the review.

Steve.


Note You need to log in before you can comment on or make changes to this bug.